﻿@model ARGNSMDFootwearSRange

@{
    string mTrId = "TR_FootwearSizeRange" + Model.LineId;
    string mFSRange_SizeRange = "FSRange_SizeRange" + Model.LineId;
    string mIsNew = "FootwearSizeRange_IsNew" + Model.LineId;

    <tr id='@mTrId'>
        <td style="width:50px">
            <button onclick="DeleteRow('@mTrId')" type="button" class="btn btn-primary btn-xs"><span class="glyphicon glyphicon-trash"></span></button>
            <input type="hidden" id="@Model.LineId" value="@Model.LineId" />
        </td>
        <td><input id='@mFSRange_SizeRange' class="form-control" value='@Model.U_SRange' onchange="LineWasChanged('@Model.LineId','FootwearSRange');" /></td>
        <td style="display:none;">
            <input id="@mIsNew" value="@(Model.IsNew ? "true" : "false")" />
        </td>
        @{
            if (Model.MappedUdf != null && Model.MappedUdf.Count > 0)
            {
                foreach (var DictRow in Model.MappedUdf.OrderBy(c => c.UDFName))
                {
                    <td>
                        @if (DictRow.ListUFD1.Count > 0)
                        {
                            @Html.DropDownList(DictRow.UDFName, new SelectList(
                                DictRow.ListUFD1,
                                "FldValue",
                                "Descr", DictRow.Value), new { @Id = "LINEUDF_SRange_" + DictRow.UDFName + Model.LineId, @Name = "LINEUDF_SRange_" + DictRow.UDFName, @class = "form-control UDFField", @onchange = "LineWasChanged('" + Model.LineId + "','FootwearSRange');" })
                        }
                        else
                        {
                            <input id='LINEUDF_SRange_@DictRow.UDFName@Model.LineId' name="LINEUDF_SRange_@DictRow.UDFName" class="form-control UDFField" value='@DictRow.Value' onchange="LineWasChanged('@Model.LineId','FootwearSRange');" />
                        }
                    </td>
                }
            }
        }
    </tr>
}